<script setup lang="ts">
import { useNodeStore } from "@/stores/useNodeStore";
import { onUnmounted } from "vue";

const route = useRoute();
const nodeStore = useNodeStore();
const timer = null;

onUnmounted(() => {
  if (timer) {
    clearInterval(timer);
  }
});
</script>

<template>
  <div v-if="nodeStore.nodesCount > 0">
    <NodeMenuItem
      v-for="(node, index) in nodeStore.sortedMap().values()"
      :key="index"
      :node="node.value"
      :active="node.value && node.value.id === route.params.nid"
      :add-member="node.value.userRole === null"
    />
  </div>
  <div v-else />
</template>

<style>
.transparent {
  background: transparent;
}
</style>
